---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: main
spec:
  selector:
    matchLabels:
      container: main
  template:
    metadata:
      labels:
        container: main
        is-container: 'true'
        use-fallback-network-policy: 'true'
        uses-compat-layer: citadel
    spec:
      containers:
      - env:
        - name: BTCEXP_ADDRESS_API
          value: electrum
        - name: BTCEXP_BASIC_AUTH_PASSWORD
          value: 613400c81368ddf2ed7a22c9fe982845377b1050fae1feeea677276bdab44639
        - name: BTCEXP_BITCOIND_HOST
          value: gateway.bitcoin.admin.nirvati
        - name: BTCEXP_BITCOIND_PASS
          value: b15c9305f4f3601d7b46673d6736fc6ab8177eecd4d637b7847fafd1d20a6adf
        - name: BTCEXP_BITCOIND_PORT
          value: '8332'
        - name: BTCEXP_BITCOIND_USER
          value: btc-rpc-explorer-admin-main
        - name: BTCEXP_ELECTRUM_SERVERS
          value: tcp://service.electrum.admin.nirvati:50001
        - name: BTCEXP_HOST
          value: 0.0.0.0
        - name: BTCEXP_NO_INMEMORY_RPC_CACHE
          value: 'true'
        - name: BTCEXP_NO_RATES
          value: 'true'
        - name: BTCEXP_PRIVACY_MODE
          value: 'true'
        - name: BTCEXP_RPC_ALLOWALL
          value: 'true'
        - name: BTCEXP_SLOW_DEVICE_MODE
          value: 'true'
        - name: DEBUG
          value: btcexp:*,electrumClient
        image: ghcr.io/runcitadel/btc-rpc-explorer:v3.3.0@sha256:01ecdf20d75cfe758c2c0908492ed938f89da55dd6ee98e61cacc4c73ef8cef1
        name: main
        volumeMounts: []

